org.eclipse.jface.contentassist

## Class TextContentAssistSubjectAdapter

- java.lang.Object
- - org.eclipse.jface.contentassist.AbstractControlContentAssistSubjectAdapter
  - - org.eclipse.jface.contentassist.TextContentAssistSubjectAdapter

All Implemented Interfaces:
  IContentAssistSubjectControl

Deprecated.
As of 3.2, replaced by Platform UI's field assist support

    @Deprecated
    public class TextContentAssistSubjectAdapter
    extends AbstractControlContentAssistSubjectAdapter

Adapts a `Text` to an `IContentAssistSubjectControl`.

Since:
  3.0
See Also:
  `Text`, `IContentAssistSubjectControl`

### Field Summary

### Fields inherited from class org.eclipse.jface.contentassist.AbstractControlContentAssistSubjectAdapter

`DEBUG`

### Constructor Summary

Constructors
Constructor and Description
`TextContentAssistSubjectAdapter(Text text)` Deprecated. Creates a content assist subject control adapter for the given text widget.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`boolean` `addSelectionListener(SelectionListener selectionListener)` Deprecated. If supported, adds a selection listener.
`int` `getCaretOffset()` Deprecated. Returns the caret position relative to the start of the text in widget coordinates.
`Control` `getControl()` Deprecated. Returns the control of this content assist subject control.
`IDocument` `getDocument()` Deprecated. Returns this content assist subject control's document.
`int` `getLineHeight()` Deprecated. Returns the line height.
`Point` `getLocationAtOffset(int offset)` Deprecated. Returns the x, y location of the upper left corner of the character bounding box at the specified offset in the text.
`Point` `getSelectedRange()` Deprecated. Returns the selected range.
`Point` `getWidgetSelectionRange()` Deprecated. Returns the selected range in the subject's widget.
`void` `removeSelectionListener(SelectionListener selectionListener)` Deprecated. Removes the specified selection listener.
`void` `revealRange(int i, int j)` Deprecated. Reveals the given region.
`void` `setSelectedRange(int i, int j)` Deprecated. Sets the selected range.

### Methods inherited from class org.eclipse.jface.contentassist.AbstractControlContentAssistSubjectAdapter

`addKeyListener, appendVerifyKeyListener, getLineDelimiter, prependVerifyKeyListener, removeKeyListener, removeVerifyKeyListener, setContentAssistCueProvider, setEventConsumer, supportsVerifyKeyListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TextContentAssistSubjectAdapter

    public TextContentAssistSubjectAdapter(Text text)

Deprecated.
Creates a content assist subject control adapter for the given text widget.

Parameters:
  `text` - the text widget to adapt

### Method Detail

#### getControl

    public Control getControl()

Deprecated.
Description copied from interface: `IContentAssistSubjectControl`
Returns the control of this content assist subject control.

Specified by:
  `getControl` in interface `IContentAssistSubjectControl`
Specified by:
  `getControl` in class `AbstractControlContentAssistSubjectAdapter`
Returns:
  the control of this content assist subject control

#### getLineHeight

    public int getLineHeight()

Deprecated.
Description copied from interface: `IContentAssistSubjectControl`
Returns the line height.

Returns:
  line height in pixel

#### getCaretOffset

    public int getCaretOffset()

Deprecated.
Description copied from interface: `IContentAssistSubjectControl`
Returns the caret position relative to the start of the text in widget coordinates.

Returns:
  the caret position relative to the start of the text in widget coordinates

#### getLocationAtOffset

    public Point getLocationAtOffset(int offset)

Deprecated.
Description copied from interface: `IContentAssistSubjectControl`
Returns the x, y location of the upper left corner of the character bounding box at the specified offset in the text. The point is relative to the upper left corner of the widget client area.

Parameters:
  `offset` - widget offset relative to the start of the content 0 <= offset <= getCharCount()
Returns:
  x, y location of the upper left corner of the character bounding box at the specified offset in the text

#### getWidgetSelectionRange

    public Point getWidgetSelectionRange()

Deprecated.
Description copied from interface: `IContentAssistSubjectControl`
Returns the selected range in the subject's widget.

Returns:
  start and length of the selection, x is the offset of the

#### getSelectedRange

    public Point getSelectedRange()

Deprecated.
Description copied from interface: `IContentAssistSubjectControl`
Returns the selected range.

Returns:
  start and length of the selection, x is the offset and y the length based on the subject's model (e.g. document)

#### getDocument

    public IDocument getDocument()

Deprecated.
Description copied from interface: `IContentAssistSubjectControl`
Returns this content assist subject control's document.

Returns:
  the viewer's input document

#### setSelectedRange

    public void setSelectedRange(int i,
                                 int j)

Deprecated.
Description copied from interface: `IContentAssistSubjectControl`
Sets the selected range. Offset and length based on the subject's model (e.g. document).

Parameters:
  `i` - the offset of the selection based on the subject's model e.g. document
  `j` - the length of the selection based on the subject's model e.g. document

#### revealRange

    public void revealRange(int i,
                            int j)

Deprecated.
Description copied from interface: `IContentAssistSubjectControl`
Reveals the given region. Offset and length based on the subject's model (e.g. document).

Parameters:
  `i` - the offset of the selection based on the subject's model e.g. document
  `j` - the length of the selection based on the subject's model e.g. document

#### addSelectionListener

    public boolean addSelectionListener(SelectionListener selectionListener)

Deprecated.
Description copied from interface: `IContentAssistSubjectControl`
If supported, adds a selection listener. A Selection event is sent by the widget when the selection has changed.

Parameters:
  `selectionListener` - the listener
Returns:
  `true` if adding a selection listener is supported
  - `SWT.ERROR_WIDGET_DISPOSED` - if the receiver has been disposed
  - `SWT.ERROR_THREAD_INVALID_ACCESS` - if not called from the thread that created the receiver

#### removeSelectionListener

    public void removeSelectionListener(SelectionListener selectionListener)

Deprecated.
Description copied from interface: `IContentAssistSubjectControl`
Removes the specified selection listener.

Parameters:
  `selectionListener` - the listener